org.apache.struts2.portlet.dispatcher

## Class Jsr286Dispatcher

- java.lang.Object
- - javax.portlet.GenericPortlet
  - - org.apache.struts2.portlet.dispatcher.Jsr168Dispatcher
    - - org.apache.struts2.portlet.dispatcher.Jsr286Dispatcher

- All Implemented Interfaces:
    javax.portlet.EventPortlet, javax.portlet.Portlet, javax.portlet.PortletConfig, javax.portlet.ResourceServingPortlet, StrutsStatics

      public class Jsr286Dispatcher
      extends Jsr168Dispatcher

- - ### Field Summary

    - ### Fields inherited from class org.apache.struts2.portlet.dispatcher.Jsr168Dispatcher

      `portletNamespace`

    - ### Fields inherited from interface org.apache.struts2.StrutsStatics

      `ACTION_MAPPING, HTTP_REQUEST, HTTP_RESPONSE, PAGE_CONTEXT, SERVLET_CONTEXT, SERVLET_DISPATCHER, STRUTS_ACTION_TAG_INVOCATION, STRUTS_PORTLET_CONTEXT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Jsr286Dispatcher()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected PortletServletResponse` | `createPortletServletResponse(javax.portlet.PortletResponse response)` Method to create a PortletServletResponse matching the used Portlet API, to be overridden for JSR286 Dispatcher.
    `protected String` | `getDefaultActionPath(javax.portlet.PortletRequest portletRequest)`
    `void` | `processEvent(javax.portlet.EventRequest request, javax.portlet.EventResponse response)`
    `void` | `serveResource(javax.portlet.ResourceRequest request, javax.portlet.ResourceResponse response)`

    - ### Methods inherited from class org.apache.struts2.portlet.dispatcher.Jsr168Dispatcher

      `createContextMap, destroy, getActionMapping, getApplicationMap, getLocale, getParameterMap, getRequestMap, getSessionMap, init, processAction, render, serviceAction, setActionMapper, setActionProxyFactory`

    - ### Methods inherited from class javax.portlet.GenericPortlet

      `doDispatch, doEdit, doHeaders, doHelp, doView, getContainerRuntimeOptions, getDefaultNamespace, getInitParameter, getInitParameterNames, getNextPossiblePortletModes, getPortletConfig, getPortletContext, getPortletName, getProcessingEventQNames, getPublicRenderParameterNames, getPublishingEventQNames, getResourceBundle, getSupportedLocales, getTitle, init`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Jsr286Dispatcher

          public Jsr286Dispatcher()

  - ### Method Detail

    - #### processEvent

          public void processEvent(javax.portlet.EventRequest request,
                                   javax.portlet.EventResponse response)
                            throws javax.portlet.PortletException,
                                   IOException

      Specified by:
        `processEvent` in interface `javax.portlet.EventPortlet`
      Overrides:
        `processEvent` in class `javax.portlet.GenericPortlet`
      Throws:
        `javax.portlet.PortletException`
        `IOException`

    - #### serveResource

          public void serveResource(javax.portlet.ResourceRequest request,
                                    javax.portlet.ResourceResponse response)
                             throws javax.portlet.PortletException,
                                    IOException

      Specified by:
        `serveResource` in interface `javax.portlet.ResourceServingPortlet`
      Overrides:
        `serveResource` in class `javax.portlet.GenericPortlet`
      Throws:
        `javax.portlet.PortletException`
        `IOException`

    - #### getDefaultActionPath

          protected String getDefaultActionPath(javax.portlet.PortletRequest portletRequest)

      Overrides:
        `getDefaultActionPath` in class `Jsr168Dispatcher`

    - #### createPortletServletResponse

          protected PortletServletResponse createPortletServletResponse(javax.portlet.PortletResponse response)

      Description copied from class: `Jsr168Dispatcher`
      Method to create a PortletServletResponse matching the used Portlet API, to be overridden for JSR286 Dispatcher.
      Overrides:
        `createPortletServletResponse` in class `Jsr168Dispatcher`
      Parameters:
        `response` - The Response used for building the wrapper.
      Returns:
        The wrapper response for Servlet bound usage.

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.